/*
@program   bit-print
@forfatter Kim Olsen <kim@pizslacker.org>
@endret    20140126-17:34-GMT+1
*/

#include <limits.h>
#include <stdio.h>

int main(void)
{
    char *pnavn = "var-bit-print"; // peker til program-navn.
    char *pversjon = "1.1"; // peker til program-versjon.
    printf("%s v%s\n", pnavn, pversjon); // Skriver ut program-navn+versjon.
    puts("-----------------");
    printf("short er %d bits\n",     CHAR_BIT * sizeof( short )     ); // Skriver bit-lengden p 'short'.
    printf("int er %d bits\n",       CHAR_BIT * sizeof( int  )      ); // Skriver bit-lengden p 'int'.
    printf("float er %d bits\n",     CHAR_BIT * sizeof( float )     ); // Skriver bit-lengden p 'float'.
    printf("double er %d bits\n",    CHAR_BIT * sizeof( double )    ); // Skriver bit-lengden p 'double'.
    printf("long er %d bits\n",      CHAR_BIT * sizeof( long )      ); // Skriver bit-lengden p 'long'.
    printf("long long er %d bits\n", CHAR_BIT * sizeof( long long ) ); // Skriver bit-lengden p 'long long'.
    int gjSnitt = ((CHAR_BIT * sizeof(short) + CHAR_BIT * sizeof(int) + CHAR_BIT * sizeof(float) + CHAR_BIT * sizeof(double) + CHAR_BIT * sizeof(long) + CHAR_BIT * sizeof(long long)) / 6 );
    printf("\nGjennomsnitt: %d bits\n", gjSnitt);
    return 0;
}
